NX Open C++ Reference Guide
|
Represents a conic section data for face blend. More...
Public Types | |
enum | DefineMethod { DefineMethodBoundaryPlusCenter, DefineMethodBoundaryPlusRho, DefineMethodCenterPlusRho } |
This enum represents the conic method for advanced symmetric conic. More... | |
enum | OffsetMethod { OffsetMethodConstant, OffsetMethodLaw } |
This enum represents the offset options. More... | |
enum | RhoMethod { RhoMethodConstant, RhoMethodLaw, RhoMethodAutoEllipse } |
This enum represents the rho options. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod | ConicMethod () |
Returns the conic method for the advanced symmetric conic section with face blend. | |
NXOpen::GeometricUtilities::LawBuilder * | FirstLawControl () |
Returns the First Offset Law builder Created in NX5.0.0. | |
NXOpen::Expression * | FirstOffset () |
Returns the first offset for the conic section with face blend. | |
NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod | FirstOffsetOption () |
Returns the first offset option for the conic section with face blend. | |
NXOpen::Expression * | Rho () |
Returns the rho expression for the conic section with face blend. | |
NXOpen::GeometricUtilities::LawBuilder * | RhoLawControl () |
Returns the Rho Law builder Created in NX5.0.0. | |
NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod | RhoOption () |
Returns the rho option for the conic section with face blend. | |
NXOpen::GeometricUtilities::LawBuilder * | SecondLawControl () |
Returns the Second Offset Law builder Created in NX5.0.0. | |
NXOpen::Expression * | SecondOffset () |
Returns the second offset for the conic section with face blend. | |
NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod | SecondOffsetOption () |
Returns the second offset option for the conic section with face blend. | |
void | SetConicMethod (NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod method) |
Sets the conic method for the advanced symmetric conic section with face blend. | |
void | SetFirstOffset (const NXString &offset) |
Sets the first offset for the conic section with face blend. | |
void | SetFirstOffset (const char *offset) |
Sets the first offset for the conic section with face blend. | |
void | SetFirstOffsetOption (NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod method) |
Sets the first offset option for the conic section with face blend. | |
void | SetLawControlConstantFirstOffset (const NXString &radius) |
Sets a constant radius for the first law control of the conic section with face blend. | |
void | SetLawControlConstantFirstOffset (const char *radius) |
Sets a constant radius for the first law control of the conic section with face blend. | |
void | SetLawControlConstantRho (const NXString &radius) |
Sets a constant radius for the rho law control of the conic section with face blend. | |
void | SetLawControlConstantRho (const char *radius) |
Sets a constant radius for the rho law control of the conic section with face blend. | |
void | SetLawControlConstantSecondOffset (const NXString &radius) |
Sets a constant radius for the second law control of the conic section with face blend. | |
void | SetLawControlConstantSecondOffset (const char *radius) |
Sets a constant radius for the second law control of the conic section with face blend. | |
void | SetLawControlFirstOffsetEndRadius (const NXString &radius) |
Sets a end radius for the first law control of the conic section with face blend. | |
void | SetLawControlFirstOffsetEndRadius (const char *radius) |
Sets a end radius for the first law control of the conic section with face blend. | |
void | SetLawControlFirstOffsetStartRadius (const NXString &radius) |
Sets a start radius for the first law control of the conic section with face blend. | |
void | SetLawControlFirstOffsetStartRadius (const char *radius) |
Sets a start radius for the first law control of the conic section with face blend. | |
void | SetLawControlRhoEndRadius (const NXString &radius) |
Sets a end radius for the rho law control of the conic section with face blend. | |
void | SetLawControlRhoEndRadius (const char *radius) |
Sets a end radius for the rho law control of the conic section with face blend. | |
void | SetLawControlRhoStartRadius (const NXString &radius) |
Sets a start radius for the rho law control of the conic section with face blend. | |
void | SetLawControlRhoStartRadius (const char *radius) |
Sets a start radius for the rho law control of the conic section with face blend. | |
void | SetLawControlSecondOffsetEndRadius (const NXString &radius) |
Sets a end radius for the second law control of the conic section with face blend. | |
void | SetLawControlSecondOffsetEndRadius (const char *radius) |
Sets a end radius for the second law control of the conic section with face blend. | |
void | SetLawControlSecondOffsetStartRadius (const NXString &radius) |
Sets a start radius for the second law control of the conic section with face blend. | |
void | SetLawControlSecondOffsetStartRadius (const char *radius) |
Sets a start radius for the second law control of the conic section with face blend. | |
void | SetRho (const NXString &rho) |
Sets a rho expression for the conic section with face blend. | |
void | SetRho (const char *rho) |
Sets a rho expression for the conic section with face blend. | |
void | SetRhoOption (NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod method) |
Sets the rho option for the conic section with face blend. | |
void | SetSecondOffset (const NXString &offset) |
Sets the second offset for the conic section with face blend. | |
void | SetSecondOffset (const char *offset) |
Sets the second offset for the conic section with face blend. | |
void | SetSecondOffsetOption (NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod method) |
Sets the second offset option for the conic section with face blend. | |
void | SetTransitionLinkFlag (bool transitionLinkFlag) |
Sets the flag to link multi-transition law types. | |
bool | TransitionLinkFlag () |
Returns the flag to link multi-transition law types. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a conic section data for face blend.
Created in NX4.0.0.
This enum represents the conic method for advanced symmetric conic.
This enum represents the rho options.
RhoMethodConstant |
Constant. |
RhoMethodLaw |
Control by law. |
RhoMethodAutoEllipse |
Automatic Ellipse. |
NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod NXOpen::GeometricUtilities::ConicCrossSection::ConicMethod | ( | ) |
Returns the conic method for the advanced symmetric conic section with face blend.
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::FirstLawControl | ( | ) |
Returns the First Offset Law builder
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::FirstOffset | ( | ) |
Returns the first offset for the conic section with face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod NXOpen::GeometricUtilities::ConicCrossSection::FirstOffsetOption | ( | ) |
Returns the first offset option for the conic section with face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::Rho | ( | ) |
Returns the rho expression for the conic section with face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::RhoLawControl | ( | ) |
Returns the Rho Law builder
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod NXOpen::GeometricUtilities::ConicCrossSection::RhoOption | ( | ) |
Returns the rho option for the conic section with face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::SecondLawControl | ( | ) |
Returns the Second Offset Law builder
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::SecondOffset | ( | ) |
Returns the second offset for the conic section with face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod NXOpen::GeometricUtilities::ConicCrossSection::SecondOffsetOption | ( | ) |
Returns the second offset option for the conic section with face blend.
Created in NX4.0.0.
License requirements : None
void NXOpen::GeometricUtilities::ConicCrossSection::SetConicMethod | ( | NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod | method | ) |
Sets the conic method for the advanced symmetric conic section with face blend.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
method | method |
void NXOpen::GeometricUtilities::ConicCrossSection::SetFirstOffset | ( | const NXString & | offset | ) |
Sets the first offset for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offset | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::ConicCrossSection::SetFirstOffset | ( | const char * | offset | ) |
Sets the first offset for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offset | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::ConicCrossSection::SetFirstOffsetOption | ( | NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod | method | ) |
Sets the first offset option for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
method | method |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantFirstOffset | ( | const NXString & | radius | ) |
Sets a constant radius for the first law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantFirstOffset | ( | const char * | radius | ) |
Sets a constant radius for the first law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantRho | ( | const NXString & | radius | ) |
Sets a constant radius for the rho law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantRho | ( | const char * | radius | ) |
Sets a constant radius for the rho law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantSecondOffset | ( | const NXString & | radius | ) |
Sets a constant radius for the second law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantSecondOffset | ( | const char * | radius | ) |
Sets a constant radius for the second law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetEndRadius | ( | const NXString & | radius | ) |
Sets a end radius for the first law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetEndRadius | ( | const char * | radius | ) |
Sets a end radius for the first law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetStartRadius | ( | const NXString & | radius | ) |
Sets a start radius for the first law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetStartRadius | ( | const char * | radius | ) |
Sets a start radius for the first law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoEndRadius | ( | const NXString & | radius | ) |
Sets a end radius for the rho law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoEndRadius | ( | const char * | radius | ) |
Sets a end radius for the rho law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoStartRadius | ( | const NXString & | radius | ) |
Sets a start radius for the rho law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoStartRadius | ( | const char * | radius | ) |
Sets a start radius for the rho law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetEndRadius | ( | const NXString & | radius | ) |
Sets a end radius for the second law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetEndRadius | ( | const char * | radius | ) |
Sets a end radius for the second law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetStartRadius | ( | const NXString & | radius | ) |
Sets a start radius for the second law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetStartRadius | ( | const char * | radius | ) |
Sets a start radius for the second law control of the conic section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::ConicCrossSection::SetRho | ( | const NXString & | rho | ) |
Sets a rho expression for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
rho | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::ConicCrossSection::SetRho | ( | const char * | rho | ) |
Sets a rho expression for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
rho | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::ConicCrossSection::SetRhoOption | ( | NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod | method | ) |
Sets the rho option for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
method | method |
void NXOpen::GeometricUtilities::ConicCrossSection::SetSecondOffset | ( | const NXString & | offset | ) |
Sets the second offset for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offset | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::ConicCrossSection::SetSecondOffset | ( | const char * | offset | ) |
Sets the second offset for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offset | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::ConicCrossSection::SetSecondOffsetOption | ( | NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod | method | ) |
Sets the second offset option for the conic section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
method | method |
void NXOpen::GeometricUtilities::ConicCrossSection::SetTransitionLinkFlag | ( | bool | transitionLinkFlag | ) |
Sets the flag to link multi-transition law types.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
transitionLinkFlag | transition link flag |
bool NXOpen::GeometricUtilities::ConicCrossSection::TransitionLinkFlag | ( | ) |
Returns the flag to link multi-transition law types.
Created in NX8.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.